const system = require("../../../system");
var settings = require("../../../../config/settings");
const querystring = require('querystring');
const AppServiceBase = require("../../app.base");
const { or } = require("sequelize");
//订单操作类
class UtilsTmOrderCallService extends AppServiceBase {
  constructor() {
    super();
    this.aliclient = system.getObject("util.aliyunClient");
  }

  async queryTradeProduceList(pobj, actionBody) {//2020 0907 lin 新增 ali查询 用户确认资料支付尾款，并更新订单状态
    var obj = {
      BuyerStatus: 11,
      PageNum: 1,
      PageSize: 20,
      SortFiled: "updateTime",
      SortOrder: "DESC",
    };
    var object = {
      action: "QueryTradeProduceList",
      reqbody: obj,
      type: 'TM'
    }
    let orderList = await this.aliclient.reqbyget(object);
    console.log("orderList",orderList)
    return system.getResultSuccess(orderList);
  }

  async createjsonfile() {
    var self = this;;
    var gobj = {
      action: "GenerateUploadFilePolicy",
      reqbody: { FileType: "PARTNER_SYNC_FILE" },
      type: 'TM'
    }
    var rst = await self.aliclient.reqbyget(gobj);
    console.log(rst);
    var obj={
      actionType:"createjsonfile",
      actionBody:{}
    }
    var getjsonurl=settings.tmtransactionUrl()+"/tmtransaction/action/trademarktransaction/springBoard"
    var jsonurl=await this.restPostUrl(obj,getjsonurl);
    if(!jsonurl){
      console.log(jsonurl);
      return system.getResultSuccess();
    }
    var upobj={
      ossurl:jsonurl.data.url,
      filedir:rst.data.FileDir,
      objectName:jsonurl.data.name,
      encodePolicy:rst.data.EncodedPolicy,
      endpoint:"http://oss-cn-beijing.aliyuncs.com",
      accessKeyId:rst.data.AccessId,
      bucketName:"partner-sync-file",
      signature:rst.data.Signature
    }

    var aliOssFileInfo = await this.execPostUrl(upobj, settings.aliossjavaUrl());
      if (aliOssFileInfo == true) {
        var fileUrl = rst.data.FileDir + "/" + jsonurl.data.name;
        console.log(fileUrl)
        return system.getResultSuccess(fileUrl);
      }

  }
}
module.exports = UtilsTmOrderCallService;

// var a=new UtilsTmOrderCallService();
// a.createjsonfile();